Skip to content

Get Events

POST
/api/public/v1/event
curl --request POST \
--url https://example.com/%7B%7BlpURL%7D%7D/api/public/v1/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "limit": 20, "offset": 20, "organisationId": 1 }'

The get events endpoint returns all events that the current user account has access to. This includes any events of child organisations.

This request can also be supplied an optional request body which can be used to filter the events returned.

To view the annotated Typescript response please go to: https://github.com/ClicknClear/Public-Resources/blob/main/packages/lvs-types/src/v1/event.ts

The getEventsQuerySchemaV1 schema describes the optional request body and the IEventV1 interface describes the response body.

Media type application/json
object
limit
integer
offset
integer
organisationId
integer
Example
{
"limit": 20,
"offset": 20,
"organisationId": 1
}

Get Events

Media type application/json
object
Example
[
{
"id": 16,
"isLocked": false,
"organisationId": 1,
"title": "Background Music - Copy",
"territory": "GB",
"endDate": "2023-11-01T00:00:00.000Z",
"startDate": "2023-11-01T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/16/invite?token=64ce96f38f416924372233ff50f033b3",
"signupFields": []
},
{
"id": 15,
"isLocked": false,
"organisationId": 1,
"title": "Background Music",
"territory": "GB",
"endDate": "2023-11-01T00:00:00.000Z",
"startDate": "2023-11-01T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/15/invite?token=e4fd50dd1d5ed63b940afaad7054e19d",
"signupFields": []
},
{
"id": 14,
"isLocked": false,
"organisationId": 1,
"title": "Test Event - Custom Questions 2",
"territory": "GB",
"endDate": "2023-10-25T00:00:00.000Z",
"startDate": "2023-10-25T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/14/invite?token=ae27109bae0ea8316260b7ad1346053e",
"signupFields": [
{
"id": 32,
"isRequired": true,
"options": [],
"order": 0,
"question": "Custom 1",
"description": "",
"type": "shortAnswer",
"key": null
},
{
"id": 33,
"isRequired": true,
"options": [],
"order": 1,
"question": "Custom 2",
"description": "",
"type": "shortAnswer",
"key": null
}
]
},
{
"id": 13,
"isLocked": false,
"organisationId": 1,
"title": "Test Event - Custom Questions",
"territory": "GB",
"endDate": "2023-10-25T00:00:00.000Z",
"startDate": "2023-10-25T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/13/invite?token=5e02833843d1c1c8d60545b418ea5f03",
"signupFields": []
},
{
"id": 11,
"isLocked": false,
"organisationId": 1,
"title": "Sound Recording Event",
"territory": "GB",
"endDate": "2023-03-29T00:00:00.000Z",
"startDate": "2023-03-27T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/11/invite?token=cdfcc7c8d338d48ee1ca4d31b1b2027b",
"signupFields": []
},
{
"id": 9,
"isLocked": false,
"organisationId": 1,
"title": "Example Event",
"territory": "US",
"endDate": "2023-03-19T00:00:00.000Z",
"startDate": "2023-03-17T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/9/invite?token=d86c23aa687b19bb7e7f281d66d31f77",
"signupFields": [
{
"id": 64,
"isRequired": true,
"options": [
"1A",
"2A",
"1B",
"2B"
],
"order": 0,
"question": "Division",
"description": "",
"type": "singleSelect",
"key": null
}
]
},
{
"id": 4,
"isLocked": false,
"organisationId": 1,
"title": "Test Event - Sound Recordings",
"territory": "US",
"endDate": "2024-04-04T00:00:00.000Z",
"startDate": "2024-03-31T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/4/invite?token=ed10939224686762234d4bc992af552f",
"signupFields": [
{
"id": 37,
"isRequired": true,
"options": [],
"order": 2,
"question": "Question 1",
"description": "",
"type": "shortAnswer",
"key": null
},
{
"id": 42,
"isRequired": true,
"options": [],
"order": 1,
"question": "Question 2",
"description": "",
"type": "shortAnswer",
"key": null
},
{
"id": 62,
"isRequired": true,
"options": [
"division one",
"division two"
],
"order": 0,
"question": "Division",
"description": "",
"type": "singleSelect",
"key": null
}
]
},
{
"id": 5,
"isLocked": false,
"organisationId": 1,
"title": "Test Event - Marching",
"territory": "US",
"endDate": "2023-08-31T00:00:00.000Z",
"startDate": "2023-08-31T00:00:00.000Z",
"inviteURL": ""{{lvsURL}}"/my-events/event/5/invite?token=80a0f0c69ef855f4304ece96e6af6dec",
"signupFields": [
{
"id": 36,
"isRequired": true,
"options": [],
"order": 0,
"question": "123",
"description": "",
"type": "shortAnswer",
"key": null
}
]
}
]
Access-Control-Allow-Origin
string
Example
*
content-length
integer
Example
4335
date
string
Example
Thu, 17 Oct 2024 15:29:15 GMT
connection
string
Example
close